package com.jay.monitor.data.server.models.entity.es;

import com.jay.monitor.data.server.anno.ESSearch;
import com.jay.monitor.data.server.enums.ESQuerySyntax;
import org.zxp.esclientrhl.annotation.ESID;
import org.zxp.esclientrhl.annotation.ESMetaData;

import java.util.Date;

@ESMetaData(indexName = "jay_monitor_url", indexType = "mq", number_of_shards = 5, number_of_replicas = 0)
public class JayMonitorUrlIndex {

    @ESSearch(value = ESQuerySyntax.like)
    private String jsonContent;

    @ESSearch(value = ESQuerySyntax.gt)
    private Long requestTime;

    /**
     * 主键名称
     */
    @ESID
    private String id;

    /**
     * 应用名称
     */
    private String applicationName;

    /**
     * 应用地址
     */
    private String applicationIp;

    /**
     * 请求路径
     */
    private String url;

    /**
     * 用户编号
     */
    private String userId;

    /**
     * 客户端ip
     */
    private String clientIp;

    /**
     * 应用监控组
     */
    private String dataGroupName;

    /**
     * 应用监控key
     */
    private String dataGroupKey;

    /**
     * 数据编号
     */
    private String dataId;

    /**
     * 状态: 客户端返回的状态码
     */
    private Integer status;

    /**
     * 日志编号
     */
    private String logId;

    /**
     * 创建时间
     */
    private Date createdTime;

    public String getJsonContent() {
        return jsonContent;
    }

    public void setJsonContent(String jsonContent) {
        this.jsonContent = jsonContent;
    }

    public void setRequestTime(Long requestTime) {
        this.requestTime = requestTime;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getApplicationName() {
        return applicationName;
    }

    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName;
    }

    public String getApplicationIp() {
        return applicationIp;
    }

    public void setApplicationIp(String applicationIp) {
        this.applicationIp = applicationIp;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public String getDataGroupName() {
        return dataGroupName;
    }

    public void setDataGroupName(String dataGroupName) {
        this.dataGroupName = dataGroupName;
    }

    public String getDataGroupKey() {
        return dataGroupKey;
    }

    public void setDataGroupKey(String dataGroupKey) {
        this.dataGroupKey = dataGroupKey;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Long getRequestTime() {
        return requestTime;
    }
}
